/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package oracle.toplink.essentials.internal.helper;

import java.io.Serializable;
import java.util.Dictionary;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author adam
 */
public abstract class IdentityHashtable extends Dictionary implements Cloneable, Serializable{

        public abstract boolean containsKey(Object key);
        public abstract boolean contains(Object obj);
        
        public abstract void clear();
        
    @Override
        public Object clone() {
        try {
            return super.clone();
        } catch (CloneNotSupportedException ex) {
            // this shouldn't happen, since we are Cloneable
            throw new InternalError();
        }
     }


}
